//
//  PluginLoader.m
//  GlowWorm
//
//  Created by Curtis Jones on 2006.12.22.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import "ApplMonitorPluginLoader.h"
#import <Logger.h>


@implementation ApplMonitorPluginLoader





///////////////////////////////////////////////////////////////////////////////

#pragma mark -
#pragma mark initializer functions





- (id)init
{
	self = [super init];
	
	if (self) {
		
	}
	
	return self;
}

- (void)dealloc
{
	
	[super dealloc];
}





///////////////////////////////////////////////////////////////////////////////

#pragma mark -
#pragma mark plugin protocol functions





- (NSString *)name
{
	return @"Application Monitor";
}

- (NSString *)version
{
	return @"1.0.0";
}

- (BOOL)loadPlugin
{
	GWLog(@"%s", __PRETTY_FUNCTION__);
	
	if (FALSE == [NSBundle loadNibNamed:@"ApplMonitor" owner:self]) {
		GWLog(@"%s.. failed to load ApplMonitor.nib", __PRETTY_FUNCTION__);
		return FALSE;
	}
	else {
		GWLog(@"%s.. successfully loaded ApplMonitor.nib", __PRETTY_FUNCTION__);
		return TRUE;
	}
}

- (BOOL)unloadPlugin
{
	return FALSE;
}

@end
